> For the complete documentation index, see [llms.txt](https://firstoken.gitbook.io/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://firstoken.gitbook.io/api-docs/api-reference/proxy/get-payload-hash.md).

# Get Payload Hash

This method retrieves the calculated hash of a payload using various supported hashing algorithms. The client must specify the desired hash type through the `type` query string parameter.

### **Supported Hash Types:**

* `SHA256`
* `SHA384`
* `SHA512`

{% tabs %}
{% tab title="cUrl" %}

```
POST /
curl -X POST 'https://api.firstoken.co/proxy/hash/?type=SHA256' \
--header 'ft-access-key : YOUR_ACCESS_KEY' \
--data-raw '{
    "chd": {
        "holder": "{{4242428XsEs24242:detokenize | extract:name}}",
        "number": "{{4242428XsEs24242:detokenize | extract:card}}",
        "csc": "{{4242428XsEs24242:detokenize | extract:card | encrypt}}",
        "holderToken": "Yuri",
        "bin": "401200",
        "numberToken": "{{4242428XsEs24242:detokenize | extract:token }}",
        "numberLength": 16,
        "cscToken": "737",
        "cscLength": 3,
        "expiration": {
            "month": "{{4242428XsEs24242:detokenize | extract:expiration | date:MM}}",
            "year": "{{4242428XsEs24242:detokenize | extract:expiration | date:YY}}"
        },
        "document": "",
        "token": null
}'
```

{% endtab %}

{% tab title="Headers of the request" %}

* **ft-access-key**: string\
  This is the authentication header for the request.\
  Required: true
  {% endtab %}

{% tab title="Params" %}

* **type**: *string*\
  Type of hash algorithms that you need to use
  {% endtab %}
  {% endtabs %}

<details>

<summary>Example of Response</summary>

```json
{
    "status": 200,
    "data": {
        "hashValue": "PZ6/iPaSDMbL7+uWUQwy6IFrI78tqfeXRngthxgboOA=",
        "hashType": "SHA256"
    }
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://firstoken.gitbook.io/api-docs/api-reference/proxy/get-payload-hash.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
